require 'dotenv'
require 'logger'
require 'sequel'

Dotenv.load(File.expand_path('../.env'))

DB =
  Sequel.connect(
    adapter: :postgres,
    host: ENV['DB_HOST'] || 'localhost',
    database: ENV['DB_DATABASE'],
    user: ENV['DB_USERNAME'],
    password: ENV['DB_PASSWORD'],
    port: ENV['DB_PORT'] || 5432,
    logger: ENV['APP_ENV'] == 'development' ? Logger.new('db/log') : nil
  )
